> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create secondary zone

> Create a secondary zone. Optionally include `primary_server` to create
the first primary server in the same request.



## OpenAPI

````yaml /api-reference/services_docs_mintlify_enriched/dns_api.yaml post /dns/v2/secondary-zones
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 0929afaaccd0
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
  - name: Clients
  - name: DNSSEC
  - name: Locations
  - name: Lookup
  - name: Metrics
  - name: NetworkMappings
  - name: Pickers
  - name: RRsets
  - name: SecondaryZones
  - name: Zones
paths:
  /dns/v2/secondary-zones:
    post:
      tags:
        - SecondaryZones
      summary: Create secondary zone
      description: |-
        Create a secondary zone. Optionally include `primary_server` to create
        the first primary server in the same request.
      operationId: CreateSecondaryZone
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSecondaryZonePayload'
        required: true
      responses:
        '201':
          description: SecondaryZoneResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecondaryZoneResponse'
        '400':
          description: SecondaryZoneErrorResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecondaryZoneErrorResponse'
        '409':
          description: SecondaryZoneErrorResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecondaryZoneErrorResponse'
        '502':
          description: SecondaryZoneErrorResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecondaryZoneErrorResponse'
components:
  schemas:
    CreateSecondaryZonePayload:
      type: object
      properties:
        meta:
          type: object
          additionalProperties:
            type: object
        poll_interval:
          type: integer
          format: int64
        primary_server:
          $ref: '#/components/schemas/CreatePrimaryServerPayload'
        transfer_mode:
          type: string
          description: Transfer mode.
          enum:
            - push
            - pull
            - both
        tsig_algorithm:
          type: string
        tsig_key_name:
          type: string
        tsig_secret:
          type: string
        use_tls:
          type: boolean
        zone_name:
          type: string
    SecondaryZoneResponse:
      type: object
      properties:
        client_id:
          type: integer
          format: int64
        created_at:
          type: string
          format: date-time
        enabled:
          type: boolean
        id:
          type: integer
          format: int64
        last_serial:
          type: integer
          format: int64
        last_transfer_at:
          type: string
          format: date-time
        meta:
          type: object
          additionalProperties:
            type: object
        poll_interval:
          type: integer
          format: int64
        transfer_mode:
          type: string
        tsig_algorithm:
          type: string
        tsig_key_name:
          type: string
        updated_at:
          type: string
          format: date-time
        use_tls:
          type: boolean
        zone_name:
          type: string
    SecondaryZoneErrorResponse:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
        message:
          type: string
    CreatePrimaryServerPayload:
      type: object
      properties:
        address:
          type: string
        meta:
          type: object
          additionalProperties:
            type: object
        priority:
          type: integer
          format: int64
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234_abcdef`
      type: apiKey
      in: header
      name: Authorization

````